---
title: "List statements"
description: "Returns a paginated list of monthly statement summaries for the company in the `companyId` header. Supports filtering by account type, account id, and statement month (YYYY-MM)."
source: https://developers.qashio.com/v1/reference/get-statements/
---

# List statements

`GET /statements`

Requires a Bearer access token.

Returns a paginated list of monthly statement summaries for the company in the `companyId` header. Supports filtering by account type, account id, and statement month (YYYY-MM).

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `page` | number | no |  |
| `pageSize` | number | no |  |
| `accountType` | string | no | One of `Card`, `PoolAccount`, `Subsidiary`, `CompanyFundAccount`. |
| `accountId` | string | no |  |
| `month` | string | no | YYYY-MM |

### Example request

```bash
curl -X GET 'https://erp.qashio.com/statements?page=1&pageSize=20' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <access_token>'
```

### Example response (200)

```json
{
  "page": 1,
  "totalPages": 1,
  "total": 1,
  "data": [
    {
      "accountExternalId": "ACar7tjao3qo6dn1p9hox7hf",
      "accountType": "CompanyFundAccount",
      "accountName": "Main Account",
      "companyId": "COoyy0mfzqhxtbkm",
      "currency": "AED",
      "statementPeriod": {
        "month": "2026-01",
        "from": "2026-01-01",
        "to": "2026-01-31"
      },
      "openingBalance": 0,
      "closingBalance": 0
    }
  ]
}
```

### Errors

- `400` Bad Request
